package net.northking.cctp.testbug.dto.project;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;

/**
 * @author: puchao.ma
 * @date: 2021/11/17 16:20
 */
public class CpProjectRuleQueryDto {
    /**
     * 项目id<br>
     */
    @ApiModelProperty("项目id")
    @Size(max = 32, message="项目id-projectId: 数据长度不能 > 32" )
    private String projectId;

    /**
     * 规则编号<br>
     */
    @ApiModelProperty("规则编号")
    @Size(max = 32, message="规则编号-ruleNo: 数据长度不能 > 32" )
    private String ruleNo;

    /**
     * 租户id:外部接口的时候需要使用的参数<br>
     */
    @ApiModelProperty("租户id")
    @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
    private String tenantId;

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getRuleNo() {
        return ruleNo;
    }

    public void setRuleNo(String ruleNo) {
        this.ruleNo = ruleNo;
    }
}
